MFCManager

Prerequisite
------------

* C++ 11
* Microsoft MSVC2019 Compiler

Dependencies
------------

* InstrumentCatalogInterface	: [C++InstrumentDriver/Common/InstrumentCatalogInterface]
* PT2026InstrumentDriver		: [PT2026InstrumentDriver]
	Depends itself on modules located in [C++InstrumentDriver/Common]
* MFC3045InstrumentDriver		: [MFC3045InstrumentDriver]
	Depends itself on modules located in [C++InstrumentDriver/Common]

Directory structure
-------------------

- **ExternalFiles** : contains configuration script files
- **include** : include files directory
- **src** : sources of the MFCManager and its associated modules (MFCController and RemoteBoxController)

Configuration script files
----------------------------

Only available with PT2026 instrument.
Configuration script files are exectuted when a new MFC9x46 Probe Array is connected. This configures the default parameters of the PT2026.
When no custom PA is provided, the DefaultCommandScript.scs is executed.
When a custom PA is provided (model and serial number must correspond to the connected Probe Array), this script is used in place of the default one.
The full path to the default script file and the directory of the enventual custom scripts have to be given to the constructor of the MFCManager.

MFCManagerCatalog
-----------------------------

Not to be confused with the InstrumentCatalog, the MFCManagerCatalog serves as an interface and variable sharing system
between the MFCManager / MFCController / RemoteBoxController different threads.

Class Structure
-----------------------------

The MFC Manager module interacts with the GUI world through the Instrument Catalog Interface.

CInstrManCatalogInterface _ CMFCManager _ CMFCManagerInterface _ CMFCController _ CMFCDevice _ CMFC2x46Device
                                                                                             \ CMFC3045Device

* CMFCManager :		Handles operations required through instrument catalog
					Returns measurement results, instrument information and status
* CMFCController:	Handles threaded operations : Scanning Instruments, Scanning PA, Searching, Measuring
* CMFCDevice:		Abstract class that handled MFC operations
* 		**CMFC2x46Device** : Handles CMFCDevice operations specific to the MFC2x46 system
		**CMFC3045Device** : Handles CMFCDevice opeartions specific to the MFC3045 system
